You are here    Supported software    Microsoft Office 2007 nl sv ru pl es de fr

Microsoft Office 2007

Informations

Creator Message
Quentin PÂRIS
Admin

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 1575044
Wine: 1.6.2

Feedbacks

Description

These components don't work :

- Microsoft Office Access 2007
- Microsoft Office Groove 2007
- Microsoft Office Outlook 2007

Source code

#!/bin/bash
# Last revision : (2013-06-08 17-31)
# Tested : Debian 6.0, Mac OSX
# Author : Tinou
# Script licence : GPLv3
#
# This script is designed for PlayOnLinux and PlayOnMac.
#


# CHANGELOG
# [Tinou] (2011-08-22 20-00)
#   Update for POL/POM 4
# [SuperPlumus] (2013-06-08 17-31)
#   gettext

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Microsoft Office 2007"
PREFIXNAME="Office2007"

POL_Debug_Init
POL_SetupWindow_Init
POL_SetupWindow_presentation "$TITLE" "Microsoft" "http://www.microsoft.com/" "Tinou" "$PREFIXNAME"

POL_System_SetArch "x86"

#Preparation de Wine
POL_Wine_SelectPrefix "$PREFIXNAME"
POL_Wine_PrefixCreate "1.6.2"
#[rbelo] Let's try Wine 1.6.2
# I never did manage to install any Service Pack with Wine 1.2.3
#POL_Wine_PrefixCreate "1.2.3"

cd "$POL_USER_ROOT/tmp"

POL_SetupWindow_cdrom
POL_SetupWindow_check_cdrom "setup.exe"

POL_Wine_WaitBefore "$TITLE"
POL_Wine "$CDROM/setup.exe"

POL_Wine_OverrideDLL native,builtin riched20

#CREATION LANCEUR
POL_Shortcut "WINWORD.EXE" "Microsoft Word 2007"
POL_Shortcut "EXCEL.EXE" "Microsoft Excel 2007"
POL_Shortcut "POWERPNT.EXE" "Microsoft Powerpoint 2007"

POL_Call POL_Install_riched30

POL_SetupWindow_Close
exit

Contributions

Filters:

Contribute
Member Message
pmorch Sunday 7 October 2018 at 17:20
pmorch Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

I've updated the installer.

It should:

  • Install MS Office 2007 also on Ubuntu 18.04 (which the original official version doesn't).
  • Install .desktop files that integrate with the installed applications list and right-click/properties so e.g. .doc(x) files can be opened with MS Word without too much hassle.
  • Copy in the required fonts for word, so that smilies and bullet lists work out of the box.

It can also be found as on github as pmorch/PlayOnLinux-MSOffice2007.

 

Differences

@@ -1,14 +1,19 @@
 #!/bin/bash
-# Last revision : (2013-06-08 17-31)
-# Tested : Debian 6.0, Mac OSX
-# Author : Tinou
+# Last revision : (2018-06-25)
+# Tested : Xubuntu 18.04
+# Author : Pmorch
 # Script licence : GPLv3
 #
 # This script is designed for PlayOnLinux and PlayOnMac.
-#
-
 
 # CHANGELOG
+# [Pmorch] (2011-08-26)
+#   Update wine version to 3.11 to make it work in Xubuntu 18.04
+#   Backported several features from similar MS Office 2010 source code
+#   Installed fonts for bullets and smileys
+#   Link to winehq issue about riched20
+#   Added categories to POL_Shortcut (so the shortcuts get added to
+#       .local/share/applications/*.desktop also)
 # [Tinou] (2011-08-22 20-00)
 #   Update for POL/POM 4
 # [SuperPlumus] (2013-06-08 17-31)
@@ -17,38 +22,100 @@
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
 
+AUTHOR=Pmorch
 TITLE="Microsoft Office 2007"
 PREFIXNAME="Office2007"
+WINE_VERSION="3.11"
 
 POL_Debug_Init
 POL_SetupWindow_Init
-POL_SetupWindow_presentation "$TITLE" "Microsoft" "http://www.microsoft.com/" "Tinou" "$PREFIXNAME"
+
+# This doesn't do anything in 4.2.12. See
+# https://www.playonlinux.com/en/topic-15931.html
+POL_SetupWindow_presentation "$TITLE" "Microsoft" "http://www.microsoft.com/" "$AUTHOR" "$PREFIXNAME"
 
 POL_System_SetArch "x86"
 
-#Preparation de Wine
+# Preparation of Wine
 POL_Wine_SelectPrefix "$PREFIXNAME"
-POL_Wine_PrefixCreate "1.6.2"
-#[rbelo] Let's try Wine 1.6.2
-# I never did manage to install any Service Pack with Wine 1.2.3
-#POL_Wine_PrefixCreate "1.2.3"
+POL_Wine_PrefixCreate "$WINE_VERSION"
 
 cd "$POL_USER_ROOT/tmp"
 
+# Making bulletslook right
+POL_Wine_InstallFonts
+
+# Making e.g. smileys look right
+# Is this the right way to do it? See
+# https://www.playonlinux.com/en/topic-15929.html
+function copyExtraFonts() {
+    FONTSURL=https://github.com/IamDH4/ttf-wps-fonts/archive/master.zip
+    FONTSZIP=ttf-wps-fonts-master.zip
+    FONTSDIR=ttf-wps-fonts-master
+
+    if [ "$WINEPREFIX" = "" ] ; then
+        POL_SetupWindow_message "How could there not be a WINEPREFIX: '$WINEPREFIX' - exiting" "$TITLE"
+        exit 1;
+    fi
+
+    FONTSDESTINATION="$WINEPREFIX/drive_c/windows/Fonts"
+
+    if [ ! -d $FONTSDESTINATION ] ; then
+        POL_SetupWindow_message "How could there not be a Fonts directory: '$FONTSDESTINATION' - exiting" "$TITLE"
+        exit 1;
+    fi
+
+    if ! command -v unzip > /dev/null || \
+       ! command -v wget > /dev/null ; then
+        POL_SetupWindow_message "unzip and/or wget are not installed - not installing extra fonts" "$TITLE"
+        return
+    fi
+
+    if [ ! -d $PREFIXFONTSDIR ] ; then
+        POL_SetupWindow_message "'$PREFIXFONTSDIR' didn't exist - not installing extra fonts" "$TITLE"
+        return
+    fi
+
+    wget -O $FONTSZIP $FONTSURL
+    unzip $FONTSZIP
+    for f in symbol.ttf wingding.ttf WEBDINGS.TTF ; do
+        echo Copying $f to $FONTSDESTINATION
+        cp $FONTSDIR/$f $FONTSDESTINATION
+    done
+
+    rm -rf $FONTSZIP $FONTSDIR
+}
+
+copyExtraFonts
+
 POL_SetupWindow_cdrom
 POL_SetupWindow_check_cdrom "setup.exe"
 
 POL_Wine_WaitBefore "$TITLE"
 POL_Wine "$CDROM/setup.exe"
 
+# See http://forum.winehq.org/viewtopic.php?f=8&t=23126&p=95555#p95555
 POL_Wine_OverrideDLL native,builtin riched20
 
-#CREATION LANCEUR
-POL_Shortcut "WINWORD.EXE" "Microsoft Word 2007"
-POL_Shortcut "EXCEL.EXE" "Microsoft Excel 2007"
-POL_Shortcut "POWERPNT.EXE" "Microsoft Powerpoint 2007"
+# Creation of shortcuts
+POL_Shortcut "WINWORD.EXE" "Microsoft Word 2007" "" "" "Office;WordProcessor;"
+POL_Shortcut "EXCEL.EXE" "Microsoft Excel 2007" "" "" "Office;Spreadsheet;"
+POL_Shortcut "POWERPNT.EXE" "Microsoft Powerpoint 2007" "" "" "Office;Presentation;"
 
-POL_Call POL_Install_riched30
+# These don't seem to do anything
+# https://www.playonlinux.com/en/topic-15928.html
+#
+# POL_Extension_Write doc "Microsoft Word 2007"
+# POL_Extension_Write docx "Microsoft Word 2007"
+# POL_Extension_Write xls "Microsoft Excel 2007"
+# POL_Extension_Write xlsx "Microsoft Excel 2007"
+# POL_Extension_Write ppt "Microsoft Powerpoint 2007"
+# POL_Extension_Write pptx "Microsoft Powerpoint 2007"
+
+# I think this has something to do with the dialog box for entering initials
+# only works for Word and Powerpoint, but I'm not sure. Excel doesn't start
+# unless Word or Powerpoint has been started first.
+POL_SetupWindow_message "MS Office 2017 has been installed. NOTE: start Word or Powerpoint first, not Excel" "$TITLE"
 
 POL_SetupWindow_Close
-exit
\ No newline at end of file
+exit

New source code

#!/bin/bash
# Last revision : (2018-06-25)
# Tested : Xubuntu 18.04
# Author : Pmorch
# Script licence : GPLv3
#
# This script is designed for PlayOnLinux and PlayOnMac.

# CHANGELOG
# [Pmorch] (2011-08-26)
#   Update wine version to 3.11 to make it work in Xubuntu 18.04
#   Backported several features from similar MS Office 2010 source code
#   Installed fonts for bullets and smileys
#   Link to winehq issue about riched20
#   Added categories to POL_Shortcut (so the shortcuts get added to
#       .local/share/applications/*.desktop also)
# [Tinou] (2011-08-22 20-00)
#   Update for POL/POM 4
# [SuperPlumus] (2013-06-08 17-31)
#   gettext

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

AUTHOR=Pmorch
TITLE="Microsoft Office 2007"
PREFIXNAME="Office2007"
WINE_VERSION="3.11"

POL_Debug_Init
POL_SetupWindow_Init

# This doesn't do anything in 4.2.12. See
# https://www.playonlinux.com/en/topic-15931.html
POL_SetupWindow_presentation "$TITLE" "Microsoft" "http://www.microsoft.com/" "$AUTHOR" "$PREFIXNAME"

POL_System_SetArch "x86"

# Preparation of Wine
POL_Wine_SelectPrefix "$PREFIXNAME"
POL_Wine_PrefixCreate "$WINE_VERSION"

cd "$POL_USER_ROOT/tmp"

# Making bulletslook right
POL_Wine_InstallFonts

# Making e.g. smileys look right
# Is this the right way to do it? See
# https://www.playonlinux.com/en/topic-15929.html
function copyExtraFonts() {
    FONTSURL=https://github.com/IamDH4/ttf-wps-fonts/archive/master.zip
    FONTSZIP=ttf-wps-fonts-master.zip
    FONTSDIR=ttf-wps-fonts-master

    if [ "$WINEPREFIX" = "" ] ; then
        POL_SetupWindow_message "How could there not be a WINEPREFIX: '$WINEPREFIX' - exiting" "$TITLE"
        exit 1;
    fi

    FONTSDESTINATION="$WINEPREFIX/drive_c/windows/Fonts"

    if [ ! -d $FONTSDESTINATION ] ; then
        POL_SetupWindow_message "How could there not be a Fonts directory: '$FONTSDESTINATION' - exiting" "$TITLE"
        exit 1;
    fi

    if ! command -v unzip > /dev/null || \
       ! command -v wget > /dev/null ; then
        POL_SetupWindow_message "unzip and/or wget are not installed - not installing extra fonts" "$TITLE"
        return
    fi

    if [ ! -d $PREFIXFONTSDIR ] ; then
        POL_SetupWindow_message "'$PREFIXFONTSDIR' didn't exist - not installing extra fonts" "$TITLE"
        return
    fi

    wget -O $FONTSZIP $FONTSURL
    unzip $FONTSZIP
    for f in symbol.ttf wingding.ttf WEBDINGS.TTF ; do
        echo Copying $f to $FONTSDESTINATION
        cp $FONTSDIR/$f $FONTSDESTINATION
    done

    rm -rf $FONTSZIP $FONTSDIR
}

copyExtraFonts

POL_SetupWindow_cdrom
POL_SetupWindow_check_cdrom "setup.exe"

POL_Wine_WaitBefore "$TITLE"
POL_Wine "$CDROM/setup.exe"

# See http://forum.winehq.org/viewtopic.php?f=8&t=23126&p=95555#p95555
POL_Wine_OverrideDLL native,builtin riched20

# Creation of shortcuts
POL_Shortcut "WINWORD.EXE" "Microsoft Word 2007" "" "" "Office;WordProcessor;"
POL_Shortcut "EXCEL.EXE" "Microsoft Excel 2007" "" "" "Office;Spreadsheet;"
POL_Shortcut "POWERPNT.EXE" "Microsoft Powerpoint 2007" "" "" "Office;Presentation;"

# These don't seem to do anything
# https://www.playonlinux.com/en/topic-15928.html
#
# POL_Extension_Write doc "Microsoft Word 2007"
# POL_Extension_Write docx "Microsoft Word 2007"
# POL_Extension_Write xls "Microsoft Excel 2007"
# POL_Extension_Write xlsx "Microsoft Excel 2007"
# POL_Extension_Write ppt "Microsoft Powerpoint 2007"
# POL_Extension_Write pptx "Microsoft Powerpoint 2007"

# I think this has something to do with the dialog box for entering initials
# only works for Word and Powerpoint, but I'm not sure. Excel doesn't start
# unless Word or Powerpoint has been started first.
POL_SetupWindow_message "MS Office 2017 has been installed. NOTE: start Word or Powerpoint first, not Excel" "$TITLE"

POL_SetupWindow_Close
exit

Replies

MDMilkMan Monday 17 September 2018 at 5:50
MDMilkMan Anonymous

Message

I have recently installed playonlinux on Fedora 28 and tried to install my Microsoft Office 2007 but I keep getting errors from wine that I can not pull up and I am missing some fonts that I can not seem to find anywhere. Office installs right but will not boot and I can not watch the installation of office. My version of Office 2007 is configured to self install when launched not sure if that makes a difference. I have not found a work around that works so far and would really prefer not to have to pay for Crossover

Replies

gdesilva Thursday 21 June 2018 at 14:35
gdesilva Anonymous

Message

I have been using MSOffice 2007 with POL on Ubuntu Studio 16.04 without any issues (Word, Excel and Ppt). Recently upgraded to Ubuntu Studio 18.04 and tried to install MS Office via POL. Selected Office from the list and noticed that it was defaulting to wine 1.6.2 but the installation was problematic - screens without any contents etc.

Then I used the 'Instal unlisted program' option and picked the wine system version ( which I understand is version 3 ) and the installation went off without any problems.

I can use Word and Excel without any issues but Powerpoint fails to start with an error

[06/21/18 22:33:34] - Running wine- POWERPNT.EXE (Working directory : /home/guptila/.PlayOnLinux/wineprefix/MSOffice2007/drive_c/Program Files/Microsoft Office/Office12)
0009:err:eventlog:ReportEventW L"Microsoft Office PowerPoint"
0009:err:eventlog:ReportEventW L"PowerPoint failed to start correctly last time.  Starting PowerPoint in safe mode will help you correct or isolate a startup problem in order to successfully start the0009:err:ole:apartment_getclassobject DllGetClassObject returned error 0x80040111
0009:err:ole:CoGetClassObject no class object {c1ee01f2-b3b6-4a6a-9ddd-e988c088ec82} could be created for context 0x1
0009:err:mscoree:CLRRuntimeInfo_GetRuntimeDirectory error reading registry key for installroot

 

 

Replies

Anonymous
Friday 21 September 2018 at 3:17 -
Exact same issue over here, have you found a solution?
pskhub Sunday 12 March 2017 at 21:33
pskhub Anonymous

Message

Hello,

      It was very easy to install Microsoft Office 2007. One of the issues that I faced was making microsoft word and excel as default programs when opening files. I was able to solve the problem using a terminal command found on an ubuntu forum. I just wish to ask if the command can be included in the original installation script so that all word excel files are opened by default in MS Word/Excel.

Thanks & regards

Replies

amas Friday 24 February 2017 at 11:46
amas Anonymous

Message

Works very good w/ wine 1.6.2.

Also VISIO is fine.

Much faster program startup than Office 2010, which also works very well.

Replies

EruIluvatar Saturday 21 January 2017 at 16:16
EruIluvatar Anonymous

Message

Installation was no hassle, SP3 can be installed easily via Configure -> Run .exe.

However all the programs could not find any printers from Cups on Ubuntu 16.04.

This can be solved by using a new Wine version, 1.9.x went fine for me.

Maybe we can fix this upstream?

Replies

whYMe Tuesday 9 August 2016 at 4:39
whYMe Anonymous

Message

May be it's an old Office version by now and no change in this script since longtime but let me give some feedback.

it installed fine with an error in downloading windows XP SP3 "windowsxp-kb936929-sp3-x86-enu_c81472f7eeea2eca421e116cd4c03e2300ebfde4.exe" from windowsupdate server, which always fail.

I suggest to use different server for same file like majorgeeks.com for example.

also if installing IE8 optional windows components, MS Publisher 2007 works.

Replies

rbelo Tuesday 28 October 2014 at 1:08
rbelo Anonymous

Information

This update has been approved by the team.

Message

... however, I was never able to install any Service Pack after Office 2007 instalation. I did manage to create a ISO with SP3 integrated and, using the "Install a non-listed program" option, I used the latest stable 32 bit WINE version (1.6.2, to date). Up 'till now, just by changing the WINE version, I managed to successfully install Office 2007 AND Service Pack 3 AND  pt-pt Language Pack in 4 diferent PCs. And even Excel macros are up and runnin'...

Wouldn't it be possible to update this script so as to install WINE ver. 1.6.2, or, at the very least, to give the user a choice as to which WINE version he/she wants to install?

Sorry if this question is a bit lame, but I'm an absolute noobie in Linux and PoL.


More importantly,  keep up with the good work, Quentin Pâris!!! laugh

Differences

@@ -28,7 +28,10 @@
 
 #Preparation de Wine
 POL_Wine_SelectPrefix "$PREFIXNAME"
-POL_Wine_PrefixCreate "1.2.3"
+POL_Wine_PrefixCreate "1.6.2"
+#[rbelo] Let's try Wine 1.6.2
+# I never did manage to install any Service Pack with Wine 1.2.3
+#POL_Wine_PrefixCreate "1.2.3"
 
 cd "$POL_USER_ROOT/tmp"
 

New source code

#!/bin/bash
# Last revision : (2013-06-08 17-31)
# Tested : Debian 6.0, Mac OSX
# Author : Tinou
# Script licence : GPLv3
#
# This script is designed for PlayOnLinux and PlayOnMac.
#


# CHANGELOG
# [Tinou] (2011-08-22 20-00)
#   Update for POL/POM 4
# [SuperPlumus] (2013-06-08 17-31)
#   gettext

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Microsoft Office 2007"
PREFIXNAME="Office2007"

POL_Debug_Init
POL_SetupWindow_Init
POL_SetupWindow_presentation "$TITLE" "Microsoft" "http://www.microsoft.com/" "Tinou" "$PREFIXNAME"

POL_System_SetArch "x86"

#Preparation de Wine
POL_Wine_SelectPrefix "$PREFIXNAME"
POL_Wine_PrefixCreate "1.6.2"
#[rbelo] Let's try Wine 1.6.2
# I never did manage to install any Service Pack with Wine 1.2.3
#POL_Wine_PrefixCreate "1.2.3"

cd "$POL_USER_ROOT/tmp"

POL_SetupWindow_cdrom
POL_SetupWindow_check_cdrom "setup.exe"

POL_Wine_WaitBefore "$TITLE"
POL_Wine "$CDROM/setup.exe"

POL_Wine_OverrideDLL native,builtin riched20

#CREATION LANCEUR
POL_Shortcut "WINWORD.EXE" "Microsoft Word 2007"
POL_Shortcut "EXCEL.EXE" "Microsoft Excel 2007"
POL_Shortcut "POWERPNT.EXE" "Microsoft Powerpoint 2007"

POL_Call POL_Install_riched30

POL_SetupWindow_Close
exit

Replies

Anonymous
Saturday 1 November 2014 at 5:04 -
If you want a different Wine version, you can set this up yourself easily in the configuration options. It doesn't ask you what Wine version to use because PlayOnLinux is aimed towards end users who may not have such knowledge of Wine. Perhaps with a little bit of testing this script can be updated to Wine 1.7.30.